import datetime
from typing import Optional
from pydantic import Field
from datetime import datetime
from api.db.tables.account import KeyType, KeyStatus

from api.schemas.base import Base


class AccountKeyringUpdate(Base):
    owner_id: Optional[int] = None
    key_type: Optional[KeyType] = None
    key_id: Optional[str] = Field(None, max_length=40)
    key_value: Optional[str] = Field(None, max_length=255)
    created_at: Optional[datetime] = None
    expiry: Optional[datetime] = None
    status: Optional[KeyStatus] = None
