__all__ = ["BigIntegerPK", "SAEnum", "UnsignedInt"]

from typing import Any

from sqlalchemy import BigInteger, Enum, Integer
from sqlalchemy.dialects import mysql


# class SAEnum(Enum):
#     def __init__(self, *enums: object, **kw: Any):
#         validate_strings = kw.pop("validate_strings", True)
#         super().__init__(*enums, **kw, validate_strings=validate_strings)


# # https://docs.sqlalchemy.org/en/20/dialects/sqlite.html#allowing-autoincrement-behavior-sqlalchemy-types-other-than-integer-integer

# BigIntegerPK = BigInteger().with_variant(Integer, "sqlite")
UnsignedInt = Integer().with_variant(mysql.INTEGER(unsigned=True), "mysql")
