import datetime
from datetime import datetime
from typing import Optional
from pydantic import EmailStr, Field
from api.db.tables.account import AccountRole, AccountStatus

from api.schemas.base import Base


class User(Base):
    id: Optional[int] = None
    name: str = Field(..., max_length=100)
    login: str = Field(..., max_length=100)
    email: Optional[EmailStr] = Field(None, max_length=100)  # Электронная почта (может быть None)
    bind_tenant_id: Optional[str] = Field(None, max_length=40)
    role: AccountRole
    meta: dict
    creator_id: Optional[int] = None
    created_at: datetime
    status: AccountStatus
