import datetime
from typing import Optional
from pydantic import Field
from datetime import datetime
from api.db.tables.account import KeyType, KeyStatus

from api.schemas.base import Base


class AccountKeyring(Base):
    owner_id: int
    key_type: KeyType
    key_id: Optional[str] = Field(None, max_length=40)
    key_value: str = Field(..., max_length=255)
    created_at: datetime
    expiry: Optional[datetime] = None
    status: KeyStatus
