import React from 'react';
import { Route, Routes } from 'react-router-dom';
import MainLayout from './pages/MainLayout';
import ProtectedRoute from './pages/ProtectedRoute';

function App() {
  return (
    <div className="App">
      <Routes>
        <Route path="/login" element={<div>login</div>} />
        <Route element={<ProtectedRoute />}>
          <Route path="*" element={<MainLayout />}></Route>
        </Route>
      </Routes>
    </div>
  );
}

export default App;
